Debian Bug report logs - #348546
RM: pike7.2 -- RoM; Superseded by pike7.6

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Marek Habersack <grendel@debian.org>

Date: Tue, 17 Jan 2006 18:03:06 UTC

Severity: normal

Tags: moreinfo

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#348546; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Marek Habersack <grendel@debian.org>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marek Habersack <grendel@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please remove pike7.2 from the unstable distribution
Date: Tue, 17 Jan 2006 18:52:15 +0100
Package: ftp.debian.org
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Please remove the pike7.2 source package along with all its binary packages 
from the Debian/unstable distribution. 

The reason for the request is that pike7.2 is legacy code, no longer 
depended upon by any other Debian packages (with the exception of roxen3 
whose removal request should follow soon) and there is little to no demand for 
that version of Pike in general. The current version of Pike is 7.6 with 7.8 
to follow in the near future.

The binary package names produced from the pike7.2 source are:

pike7.2
pike7.2-crypto
pike7.2-gdbm
pike7.2-gl
pike7.2-gtk
pike7.2-gz
pike7.2-image
pike7.2-mysql
pike7.2-odbc
pike7.2-pexts-admintools
pike7.2-pexts-bzip2
pike7.2-pexts-curses
pike7.2-pexts-geoip
pike7.2-pexts-mcrypt
pike7.2-pexts-mhash
pike7.2-pexts-newt
pike7.2-pexts-pcre
pike7.2-pg
pike7.2-sane

thank you,

marek

- -- System Information:
Debian Release: testing/unstable
  APT prefers dapper-updates
  APT policy: (500, 'dapper-updates'), (500, 'dapper-security'), (500, 'dapper')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-12-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDzS7Oq3909GIf5uoRAixMAJ9xX8Lhthc9X51Fcf1wbLaT2/j3ewCePXse
OuQZ0fgYXDFrVwVKBYatBfA=
=N2gY
-----END PGP SIGNATURE-----



Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#348546; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #12 received at 348546@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Marek Habersack <grendel@debian.org>, 348546@bugs.debian.org
Cc: Debian Bugs Control Bot <control@bugs.debian.org>
Subject: Re: Bug#348546: Please remove pike7.2 from the unstable distribution
Date: Tue, 17 Jan 2006 23:46:20 +0100
tags 348546 moreinfo
retitle 348546 RM: pike7.2 -- RoM; Superseded by pike7.6
thanks

On Tue, Jan 17, 2006 at 06:52:15PM +0100, Marek Habersack wrote:
> Please remove the pike7.2 source package along with all its binary packages 
> from the Debian/unstable distribution. 
> 
> The reason for the request is that pike7.2 is legacy code, no longer 
> depended upon by any other Debian packages (with the exception of roxen3 
> whose removal request should follow soon) and there is little to no demand for 
> that version of Pike in general. The current version of Pike is 7.6 with 7.8 
> to follow in the near future.

pexts (pike7.2-pexts-*) does depend on it too still though? What to do
with that?

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Tags added: moreinfo Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#348546; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Marek Habersack <grendel@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #21 received at 348546@bugs.debian.org (full text, mbox):

From: Marek Habersack <grendel@debian.org>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: 348546@bugs.debian.org, Debian Bugs Control Bot <control@bugs.debian.org>
Subject: Re: Bug#348546: Please remove pike7.2 from the unstable distribution
Date: Tue, 17 Jan 2006 23:49:11 +0100
[Message part 1 (text/plain, inline)]
On 1/17/06, Jeroen van Wolffelaar <jeroen@wolffelaar.nl> wrote:
>
> tags 348546 moreinfo
> retitle 348546 RM: pike7.2 -- RoM; Superseded by pike7.6
> thanks
>
> On Tue, Jan 17, 2006 at 06:52:15PM +0100, Marek Habersack wrote:
> > Please remove the pike7.2 source package along with all its binary
> packages
> > from the Debian/unstable distribution.
> >
> > The reason for the request is that pike7.2 is legacy code, no longer
> > depended upon by any other Debian packages (with the exception of roxen3
> > whose removal request should follow soon) and there is little to no
> demand for
> > that version of Pike in general. The current version of Pike is 7.6 with
> 7.8
> > to follow in the near future.
>
> pexts (pike7.2-pexts-*) does depend on it too still though? What to do
> with that?
>
I will repackage pexts after I can remove pike7.4 as well. This is awaiting
input from the steam maintainer about the possibility of upgrading steam to
work with pike7.6. After that pexts will lose some binary packages and the
rest will be renamed to a new scheme.

thanks,

marek
[Message part 2 (text/html, inline)]

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marek Habersack <grendel@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 348546-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 348546-close@bugs.debian.org
Cc: pike7.2@packages.debian.org, pike7.2@packages.qa.debian.org
Subject: Bug#348546: fixed
Date: Tue, 17 Jan 2006 14:58:23 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

      pike | 7.2.580-3.1 | m68k
      pike |  7.2.580-4 | alpha, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
pike-crypto | 7.2.580-3.1 | m68k
pike-crypto |  7.2.580-4 | alpha, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
 pike-gdbm | 7.2.580-3.1 | m68k
 pike-gdbm |  7.2.580-4 | alpha, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
   pike-gz | 7.2.580-3.1 | m68k
   pike-gz |  7.2.580-4 | alpha, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
pike-image | 7.2.580-3.1 | m68k
pike-image |  7.2.580-4 | alpha, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
pike-mysql | 7.2.580-3.1 | m68k
pike-mysql |  7.2.580-4 | alpha, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
   pike-pg | 7.2.580-3.1 | m68k
   pike-pg |  7.2.580-4 | alpha, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
   pike7.2 | 7.2.580-3.1 | m68k
   pike7.2 |  7.2.580-4 | source, alpha, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
pike7.2-crypto | 7.2.580-3.1 | m68k
pike7.2-crypto |  7.2.580-4 | alpha, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
pike7.2-gdbm | 7.2.580-3.1 | m68k
pike7.2-gdbm |  7.2.580-4 | alpha, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
pike7.2-gl | 7.2.580-3.1 | m68k
pike7.2-gl |  7.2.580-4 | alpha, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
pike7.2-gtk | 7.2.580-3.1 | m68k
pike7.2-gtk |  7.2.580-4 | alpha, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
pike7.2-gz | 7.2.580-3.1 | m68k
pike7.2-gz |  7.2.580-4 | alpha, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
pike7.2-image | 7.2.580-3.1 | m68k
pike7.2-image |  7.2.580-4 | alpha, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
pike7.2-mysql | 7.2.580-3.1 | m68k
pike7.2-mysql |  7.2.580-4 | alpha, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
pike7.2-odbc | 7.2.580-3.1 | m68k
pike7.2-odbc |  7.2.580-4 | alpha, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
pike7.2-pg | 7.2.580-3.1 | m68k
pike7.2-pg |  7.2.580-4 | alpha, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
pike7.2-sane | 7.2.580-3.1 | m68k
pike7.2-sane |  7.2.580-4 | alpha, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 348546@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 05:50:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:57:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.